pom.xml 2.08 KB
Newer Older
1 2 3 4 5 6 7 8
<project xmlns="http://maven.apache.org/POM/4.0.0"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
                      http://maven.apache.org/xsd/maven-4.0.0.xsd">

  <modelVersion>4.0.0</modelVersion>
 
  <groupId>fr.centralesupelec.edf.riseclipse</groupId>
9
  <artifactId>fr.centralesupelec.edf.riseclipse.developer.maven.all</artifactId>
10
  <version>1.0.2-SNAPSHOT</version>
11 12 13 14
  <packaging>pom</packaging>
  
  <parent>
    <groupId>fr.centralesupelec.edf.riseclipse</groupId>
15
    <artifactId>fr.centralesupelec.edf.riseclipse.developer.maven</artifactId>
16
    <version>1.0.8-SNAPSHOT</version>
17
    <relativePath>../fr.centralesupelec.edf.riseclipse.developer.maven/pom.xml</relativePath>
18 19 20
  </parent>

  <modules>
21
    <module>../../RiseClipseDeveloper</module>
22 23 24 25 26
    <module>../../RiseClipseMain</module>
    <module>../../RiseClipseEditor</module>
    <module>../../RiseClipseMetamodel_SCL2003</module>
    <module>../../RiseClipseMetamodel_Cim</module>
    <module>../../RiseClipseMetamodel_Cim16</module>
27
    <module>../../RiseClipseMetamodel_EntsoeCim16</module>
28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45
    <module>../../RiseClipseMetamodel_Cim17</module>
    <module>../../RiseClipseMetamodel_iec61970cim17</module>
    <module>../../RiseClipseMetamodel_iec61970cim17_iec61968cim13</module>
    <module>../../RiseClipseOCLValidator</module>
    <!-- 
         To build standalone tools, eclipse dependencies must be installed using the command
           mvn eclipse:to-maven -DstripQualifier=true
         on a computer with Eclipse installed
         and answering (replace ~ with the path where the eclipse p2 directory is located)
           ~/.p2/pool
         to the question
           [INFO] Eclipse directory? 
     
         The ANTLR runtime 3.2.0 must also be installed by hand in the local .m2 repository
         using the provided org.antlr.runtime-3.2.0.zip (unzip it in ~/.m2/repository/ 
         replacing the 4.0.0 version)
     -->
    <module>../../RiseClipseOCLValidator_SCL2003</module>
46
    <module>../../RiseClipseOCLValidator_EntsoeCim16</module>
47 48 49
  </modules>

</project>